<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Todo Lists</title>
    </head>
    <body>
        <header>
            <a class="header_link" style="text-decoration:none" href="{% url 'todo_list_list' %}">Lists</a>
        </header>
        <main>
            <div>
                <h1>{{ todo_list_detail.name }}</h1>
                <p>
                    <a style="color:aqua;text-decoration:none" href="{% url 'todo_list_update' todo_list_detail.id %}">Edit</a>
                </p>
                <p>
                    <a style="color:red;text-decoration:none" href="{% url 'todo_list_delete' todo_list_detail.id %}">Delete</a>
                </p>
                <h2>Tasks</h2>
        <table>
            <thead>
                <tr>
                    <th>Task</th>
                    <th>Due Date</th>
                </tr>
            </thead>
            <tbody>
                {% for tasks in todo_list_detail.items.all %}
                <tr>
                    <td><a style="color:forestgreen;text-decoration:none" href="{% url 'todo_item_update' todo_list_detail.id %}">{{ tasks.task }}</a></td>
                    <td>{{ tasks.due_date }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
            </div>
        </main>
    </body>
</html>
